@import '@/assets/variables.scss';

.sidebar {
  width: 25%;
  background-color: #fff;
  .sidebar-page {
    padding: 30px;
    display: flex;
    justify-content: flex-end;
    .container {
      margin: 0;
    }
    .sidebar__user-box {
      display: flex;
      flex-direction: column;
      align-items: center;
      .user-photo {
        img {
          width: 100px;
          height: 100px;
        }
      }

      .user-id {
        margin-top: 15px;
        span {
          font-size: 10px;
          color: #000;
          text-transform: uppercase;
        }
      }

      .user-greeting {
        margin-top: 5px;
        span {
          font-size: 18px;
          color: #000;
          font-weight: 700;
        }
      }

      .user-bronze-button {
        margin-top: 15px;
        button {
          cursor: pointer;
          padding: 6px 28px;
          background-color: orange;
          border: 1px solid transparent;
          border-radius: 52px;
          color: #fff;
          font-size: 10px;
          letter-spacing: 0.05em;
          text-transform: uppercase;
        }
      }

      .list-category {
        width: 100%;
        display: flex;
        align-items: center;
        margin-top: 40px;
        ul {
          .online {
            margin-bottom: 35px;
          }

          .messages {
            width: 100%;
            .messages-text {
              width: 100%;
              display: flex;
              justify-content: space-between;
              .count-messages {
                color: $textColor;
              }
            }
          }

          .alerts {
            margin-bottom: 35px;
          }

          .scam {
            margin-bottom: 35px;
          }

          .logout {
            color: $colorLogout;
          }
          li {
            cursor: pointer;
            display: flex;
            align-items: center;
            list-style: none;
            margin-bottom: 20px;
            color: #000;
            font-size: 16px;
            img {
              margin-right: 10px;
            }
          }
        }
      }
    }
  }
}
